## kfreebsd-11 11.0~svn265310

=== debian/changelog ===
kfreebsd-11 (11.0~svn265310-1) experimental; urgency=medium

  * New upstream snapshot.
    - Fix for SA-14:08 / CVE-2014-3000 (TCP reassembly vulnerability).
      (Closes: #746954)
    - 904_dev_full.diff: Remove (superceded by upstream).
    - Adapt to upstream removal of eisa module (r264654).
      - B-D on freebsd-mk with MK_EISA support.
      - debian/installer/modules/scsi-modules: Disable ahc_eisa.

  [ Christoph Egger ]
  * Increase firmware size limit to 1MiB. This should be enough for at
    least iwlwifi firmware to safely load

 -- Robert Millan <rmh@debian.org>  Sun, 04 May 2014 12:04:51 +0200

kfreebsd-11 (11.0~svn264364-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Sat, 12 Apr 2014 20:12:10 +0200

kfreebsd-11 (11.0~svn263651-1) experimental; urgency=low

  * New upstream snapshot.

 -- Robert Millan <rmh@debian.org>  Sat, 22 Mar 2014 23:43:21 +0100

kfreebsd-11 (11.0~svn262281-2) experimental; urgency=low

  * Remove -DWITHOUT_SSP kludge. Apparently SSP doesn't break QEMU
    anymore.
  * B-D on freebsd-buildutils with reliable kldxref.

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2014 22:56:18 +0100

kfreebsd-11 (11.0~svn262281-1) experimental; urgency=low

  * New upstream snapshot.
    - Switch to clang-3.4.

  * Support debug flag in DEB_BUILD_OPTIONS.
  * Depend on freebsd-net-tools to avoid auto-removal (see comment in
    debian/control).

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2014 15:06:38 +0100

kfreebsd-11 (11.0~svn261628-1) experimental; urgency=low

  * New upstream snapshot.
    - xboxfb_ftbfs.diff: Remove (merged).
    - radeonkms_abort_nofw.diff: Remove (merged).

  * B-D on libdwarf-freebsd-3 >= 10.0-2 (older versions break ctfconvert
    on i386-linux-gnu).
  * radeonkms: Disable R600+ drivers when no firmware blob is available.
    (Closes: #732692)
  * Require freebsd-net-tools with new SIOCAIFADDR ABI.  (Closes: #732693)

 -- Robert Millan <rmh@debian.org>  Sat, 08 Feb 2014 15:17:30 +0100

kfreebsd-11 (11.0~svn260666-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Additional build fixes for vt_xboxfb.
  * firmware_load.diff: Add support for: ral, iwi, wpi, wpi, ipw,
    iwn and rsu.
  * xboxfb_ftbfs.diff: Replace with more complete patch from Aleksandr
    Rybalko.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 14:12:13 +0100

kfreebsd-11 (11.0~svn260450-1) experimental; urgency=low

  * New upstream snapshot.
    - Fixes build of vt_xboxfb.
    - vmx_ftbfs.diff: Remove (merged).

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 21:00:00 +0100

kfreebsd-11 (11.0~svn260207-2) experimental; urgency=low

  * s/xboxfb/vt_xboxfb/ to fix FTBFS on kfreebsd-i386.
  * firmware_load.diff: Loads firmware blobs from /lib/firmware/.
    Currently only radeonkmsfw is supported.  (Closes: #642468)
  * B-D on freebsd-glue >= 0.2.15 (for bmake with right permissions).

 -- Robert Millan <rmh@debian.org>  Wed, 08 Jan 2014 02:14:08 +0100

kfreebsd-11 (11.0~svn260207-1) experimental; urgency=low

  * New upstream snapshot.
    - vmx_ftbfs.diff: Fix FTBFS in VMX code.

  * Only assert linker.hints presence on kfreebsd-any.
  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Switch to bmake to follow upstream.

 -- Robert Millan <rmh@debian.org>  Fri, 03 Jan 2014 13:54:51 +0100

kfreebsd-11 (11.0~svn259528-2) experimental; urgency=low

  * Drop one more round of srcdir copying.
  * Switch default console to Newcons.

 -- Robert Millan <rmh@debian.org>  Thu, 19 Dec 2013 12:20:51 +0100

kfreebsd-11 (11.0~svn259528-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.

  [ Robert Millan ]
  * Implement a watchdog to detect when upstream switches to a new Clang
    version.
  * Disable pty(4) to follow upstream.
  * Build with CTF debug information, and enable KDTRACE_HOOKS (DTrace
    hooks) and DDB_CTF (CTF support in ELF loader) for debug builds.
    (Closes: #689916)
  * Fetch source code securely (https) in get-orig-source.
  * Remove the kludges that modify srcdir in build target. Use override
    variables instead when possible. This will allow sharing the srcdir
    later.
  * Build and install linker.hints. (Closes: #684595)

 -- Robert Millan <rmh@debian.org>  Wed, 18 Dec 2013 12:19:58 +0100

kfreebsd-11 (11.0~svn258494-1) experimental; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Upstream moved aicasm off the kernel build process. Follow them and
      aicasm from freebsd-buildutils (>= 10~svn258496-1~).
    - r258281: Fix siginfo_t.si_status for wait6/waitid/SIGCHLD.
      (Closes: #729698)

  [ Robert Millan ]
  * Remove (disabled) patch 006_mips_i8259_alloc.diff. Problem has been
    fixed in upstream already.
  * Move modules to /boot/modules, as discussed in
    https://lists.debian.org/debian-bsd/2013/09/msg00003.html
  * Disable mipsel builds.  (Closes: #727829)

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sat, 23 Nov 2013 13:24:23 +0100

kfreebsd-11 (11.0~svn256281-1) experimental; urgency=low

  * New upstream snapshot.
    - Rename to kfreebsd-11.
    - Refresh all patches.

  [ Robert Millan ]
  * Only build with Clang on architectures where it is the default in
    upstream.
  * Remove -686-smp transitional packages (not needed for kfreebsd-11).
  * Set __FreeBSD__=1000 for kernel CFLAGS.

 -- Robert Millan <rmh@debian.org>  Thu, 10 Oct 2013 20:02:00 +0200

kfreebsd-10 (10.0~svn255915-1) experimental; urgency=low

  * New upstream snapshot.
    - Includes Xen HVM support.

  [ Robert Millan ]
  * Remove one gratuitous round of src copying.
  * Disable -Werror only for non-Clang compilers.
  * Properly set CLANG_IS_CC knob according to selected compiler.
  * Re-enable -O2.
  * Build kfreebsd-headers-\* only on kfreebsd-@arch@.
  * userland.diff: Import selection of header fixes needed by userland.


