=== debian/control ===
Source: kfreebsd-11
Section: kernel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Robert Millan <rmh@debian.org>
Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/kfreebsd-11/
Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/kfreebsd-11/
Build-Depends: debhelper (>= 5.0.0), bzip2, sharutils, flex-old | flex,
 freebsd-buildutils (>= 10.0-3~),
 freebsd-glue (>= 0.2.15~),
 bmake (>= 20131001-1~),
 freebsd-mk (>= 10.0-4~),
 byacc,
 clang-3.4 [any-i386 any-amd64 any-armel], gcc-4.8 [!any-i386 !any-amd64 !any-armel], libdb-dev,
 libsbuf-dev (>= 9.0+ds1-2),
 kernel-wedge (>= 2.88) [kfreebsd-any],
 ctfutils,
# ctfconvert requires libdwarf with correct Dwarf_Off size
 libdwarf-freebsd-3 (>= 10.0-2~),
Standards-Version: 3.9.2

Package: kfreebsd-source-11.0
Architecture: all
Depends: ${misc:Depends}
Recommends: freebsd-buildutils (>= 7)
Provides: kfreebsd-source-11, kfreebsd-source
Description: source code for kernel of FreeBSD 11.0 with Debian patches
 This package provides the source code for kernel of FreeBSD 11.0, base of
 a GNU/kFreeBSD system.

Package: kfreebsd-headers-11.0-0
Architecture: kfreebsd-any
Depends: ${misc:Depends}
Description: Common architecture-specific header files for kernel of FreeBSD 11.0
 This package provides the architecture-specific common kernel header files for
 kernel of FreeBSD 11.0, generally used for building out-of-tree kernel
 modules. To obtain a complete set of headers you also need to install the
 kfreebsd-headers-11.0-0-(flavour) package, matching the flavour of the
 kernel you intend the build for. To obtain such a set for the currently running
 kernel it is sufficient to run a command
 .
 apt-get install kfreebsd-headers-$(uname -r)
 .
 and it will be unpacked in /usr/src/kfreebsd-headers-11.0-0-(flavour)


Package: kfreebsd-image-11.0-0-amd64
Architecture: any-amd64
Depends: ${misc:Depends},
 freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
 devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
# Policy-conformant keyboard mappings (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
# Not strictly correct, but putting it only in Breaks (see below) may result in
# having freebsd-net-tools auto-removed (probably because of #738934 and similar
# bugs)
 freebsd-net-tools (>= 10.0-2~) [kfreebsd-any],
Conflicts: kfreebsd-loader (<< 5.4-1.3)
Breaks:
# Prior versions can't boot kFreeBSD >= 9.1 (see #699002)
 grub-common (<< 1.99-27+deb7u2) [kfreebsd-any],
# Missing support for pts(4) (see #667448)
 libc0.1 (<< 2.17-4~) [kfreebsd-any],
# Require ZFS v28 userland
 zfsutils (<< 8.3~) [kfreebsd-any],
# 9.x uses old SIOCAIFADDR ABI (see #732693), and 10.0-1 uses inconsistent/mixed ABI (see #736238)
 freebsd-net-tools (<< 10.0-2~) [kfreebsd-any],
Provides: kfreebsd-image-11, kfreebsd-image
Recommends: 
Description: kernel of FreeBSD 11.0 image
 This package provides the binary image and pre-built loadable modules for
 the kernel of FreeBSD 11.0, base of a GNU/kFreeBSD system.
 .
 This package is compiled for a amd64-class machine.

Package: kfreebsd-image-11-amd64
Architecture: any-amd64
Depends: kfreebsd-image-11.0-0-amd64, ${misc:Depends}
Description: kernel of FreeBSD 11 image (meta-package)
 This package depends on the latest binary image for kernel of FreeBSD 11 on
 amd64-class machines.

Package: kfreebsd-headers-11.0-0-amd64
Architecture: kfreebsd-amd64
Provides: kfreebsd-headers-11, kfreebsd-headers
Depends: kfreebsd-headers-11.0-0 (= ${binary:Version}), ${misc:Depends}
Description: header files for kernel of FreeBSD 11.0
 This package provides the header files for kernel of FreeBSD 11.0, generally
 used for building out-of-tree kernel modules. These files are going to be
 installed into /usr/src/kfreebsd-headers-11.0-0-amd64, and can be
 used for building modules that load into the kernel provided by the
 kfreebsd-image-11.0-0-amd64 package.

Package: kfreebsd-headers-11-amd64
Architecture: kfreebsd-amd64
Depends: kfreebsd-headers-11.0-0-amd64, ${misc:Depends}
Description: header files for kernel of FreeBSD 11 (meta-package)
 This package depends on the latest header files for kernel of FreeBSD 11 on
 amd64-class machines.


Package: kernel-image-11.0-0-amd64-di
Package-Type: udeb
Provides: kernel-image, ata-modules, cdrom-core-modules, core-modules, crc-modules, ext2-modules, ide-core-modules, ide-modules, input-modules, mmc-core-modules, mouse-modules, nic-pcmcia-modules, nls-core-modules, pata-modules, pcmcia-modules, pcmcia-storage-modules, rtc-modules, scsi-common-modules, serial-modules, ufs-modules, uinput-modules, usb-modules, usb-storage-modules
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: kFreeBSD binary image for the Debian installer
 This package contains the kernel of FreeBSD for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-11.0-0-amd64-di, nic-shared-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.

Package: nic-wireless-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: nic-wireless-modules
Depends: kernel-image-11.0-0-amd64-di, nic-shared-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.
 Includes crypto modules only needed for wireless (WEP).

Package: nic-shared-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.

Package: serial-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: optional
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: usb-serial-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: usb-serial-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: optional
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.

Package: ppp-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-11.0-0-amd64-di, serial-modules-11.0-0-amd64-di, zlib-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: cdrom-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: cdrom-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: optional
Description: Esoteric CDROM drivers
 This package contains esoteric CDROM drivers for the kernel.

Package: scsi-core-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-11.0-0-amd64-di, scsi-core-modules-11.0-0-amd64-di, parport-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-extra-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: scsi-extra-modules
Depends: scsi-modules-11.0-0-amd64-di, scsi-core-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.
 This includes SCSI RAID drivers, and some of the less common SCSI
 controllers.

Package: plip-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-11.0-0-amd64-di, parport-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: optional
Description: PLIP drivers
 This package contains PLIP drivers for the kernel.

Package: floppy-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Floppy driver
 This package contains the floppy driver for the kernel.

Package: loop-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-11.0-0-amd64-di, zlib-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: ipv6-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the kernel.

Package: nls-core-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: nls-core-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: Core NLS support
 This package contains basic NLS support modules for the kernel.

Package: ext2-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: ext2-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: EXT2 filesystem support
 This package contains the EXT2 filesystem module for the kernel.

Package: isofs-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: isofs-modules
Depends: kernel-image-11.0-0-amd64-di, nls-core-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: standard
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: reiserfs-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: Reiser filesystem support
 This package contains the Reiser filesystem module for the kernel.

Package: fat-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-11.0-0-amd64-di, nls-core-modules-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: FAT filesystem support
 This package contains the FAT and VFAT filesystem modules for the kernel.

Package: zfs-modules-11.0-0-amd64-di
Package-Type: udeb
Provides: zfs-modules
Depends: kernel-image-11.0-0-amd64-di
Architecture: kfreebsd-amd64
Kernel-Version: 11.0-0-amd64
Section: debian-installer
Priority: extra
Description: ZFS filesystem support
 This package contains the ZFS filesystem module for the kernel.
