## kfreebsd-11 11.0~svn295083

=== debian/changelog ===
kfreebsd-11 (11.0~svn295083-1~debug2) experimental; urgency=medium

  * Merge in packaging changes from kfreebsd-10.
  * Fix building with a PIE-by-default compiler
  * Move Debian-specific .gitignore to debian/
  * Enable and fix stack smashing protection
  * Backport upstream support for R_X86_64_PLT32
  * Bump compat to 11:
    - dh_clean will now remove *-stamp files
    - Replace dh_* -s with dh_* -a, and dh_clean -k with dh_prep
  * Add myself to uploaders
  * Add debian/gbp.conf
  * Clamp orig tarball timestamps based on upstream revision date
  * Add lintian override for sys/kgssapi/gssapi.h
  * Add lintian override for sys/kgssapi/gssapi.h

 -- James Clarke <jrtc27@debian.org>  Tue, 30 Oct 2018 21:07:51 +0000

kfreebsd-11 (11.0~svn295083-1~debug1) experimental; urgency=medium

  * New upstream snapshot of -CURRENT
  * Make get-orig-source tarball reproducible
  * Replace BUILD_DATE with SOURCE_DATE_EPOCH
  * Disable building the xen (PV, i386-only) flavour, removed upstream,
    as it is preferred now to use the generic kernel in HVM mode.
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org)
  * Refresh patches:
    - unescaped_kern_ident.diff
    - userland.diff
    - 001_misc.diff
    - 004_xargs.diff
    - 109_linprocfs_non_x86.diff
    - 902_version.diff
    - 906_grow_sysv_ipc_limits.diff
    - 914_psm.diff
    - 917_disable_kgssapi.diff
    - 918_unix_socket_overflow.diff
    - 920_linux_cflags.diff
    - 923_newvers_timestamp.diff
    - 924_module_objdir.diff
    - 930_freebsd_cc.diff
    - 940_ld_verbose.diff
    - 999_config.diff
  * Experimentally build all arches with GCC for now
  * Bump Build-Depends: freebsd-buildutils, freebsd-mk to (>= 10.3~)
  * Automatically enable debug options if ~debug appears in the Version
  * Replace ar9300_devid.h with a DFSG-free re-implementation
  * Disable generating DTrace CTF data, until our toolchain (ctfutils)
    is ready to support kfreebsd-11
  * Remove non-existent device vt_xboxfb from i386 configs

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 06 Feb 2016 16:17:19 +0000

kfreebsd-11 (11.0~svn284956-1) experimental; urgency=medium

  * New upstream snapshot of -CURRENT (not the latest available
    snapshot, but the last that can build with currently packaged
    freebsd-buildutils version):
    - Fix for EN-14:05:
      ciss(4) potential data corruption bug (Closes: #748079)
    - Fix for EN-14:06:
      Triple fault on execve from 64-bit thread to 32-bit process
      (Closes: #748745)
    - SA-14:22: Fix memory leak in sandboxed namei lookup.
      (CVE-2014-3711) (Closes: #766279)
    - SA-14:25: Fix kernel stack disclosure in setlogin(2) / getlogin(2)
      (CVE-2014-8476) (Closes: #768109)
    - SA-15:02: SCTP SCTP_SS_VALUE kernel memory corruption and
      disclosure vulnerability (CVE-2014-8612) (Closes: #776415)
    - SA-15:03: SCTP stream reset vulnerability (CVE-2014-8613)
      (Closes: #776416)
    - EN-15:01: vt(4) crash with improper ioctl parameters
      (CVE-2014-0998) (Closes: #779194)
    - SA-15:04: integer overflow in IGMP protocol (CVE-2015-1414)
      updated patch from advisory revision 1.1 (Closes: #779195)
    - SA-15:09: Denial of Service with IPv6 Router Advertisements
      (CVE-2015-2923) (Closes: #782107)
    - EN-15:05: Fix deadlock on reboot with UFS tuned with SU+J.
      (Closes: #786619)
    - vt(4) optimisations (Closes: #738188)
  * Refresh patches:
    - userland.diff
    - unescaped_kern_ident.diff
    - 001_misc.diff
    - 004_xargs.diff
    - 107_mount_update.diff
    - 902_version.diff
    - 906_grow_sysv_ipc_limits.diff
    - 908_linprocfs_is_not_proc.diff
    - 914_psm.diff
    - 915_ip6.v6only.diff
    - 917_disable_kgssapi.diff
    - 918_unix_socket_overflow.diff
    - 920_linux_cflags.diff
    - 921_signal_watchdog.diff
    - 999_config.diff
  * Remove obsolete patches:
    - vxge_no_ctf.diff
    - 922_cc_version.diff
  * Unset FREEBSD_CC, as we lack FreeBSD compiler extensions
    - 930_freebsd_cc.diff
  * Show the kernel link command line in the build log
    - 940_ld_verbose.diff
  * Disable building si(4) as module, due to non-free microcode
    - 999_config.diff
  * No longer provide nfsclient module in nfs-modules-udeb;  it has
    been obsoleted by nfscl.
  * Bump freebsd-mk Build-Depends to (>= 10.0-7~)
  * Manually set COMPILER_TYPE and COMPILER_VERSION in debian/rules,
    as bsd.compiler.mk doesn't detect our own compiler version
    correctly
  * Set WITHOUT_FORMAT_EXTENSIONS, a FreeBSD compiler extension we
    don't have.
  * Merge changes from kfreebsd-10:
    - Compile objects with relative, not absolute paths, to avoid embedding
      full build tree paths into modules. (Closes: #757629)
    - Build modules in-place instead of creating a deep nested hierarchy
      - 924_module_objdir.diff (Closes: #757632)
    - Build kernel images only on kfreebsd-any arches.
    - Create tarballs of upstream source, and of the kfreebsd-source
      binary-indep package, using a reproducible stable file order.
      (Closes: #786615)
    - In the kfreebsd-source binary-indep package, clamp timestamps
      to be no later than the last debian/changelog entry.
      (Closes: #788238)
    - In the kfreebsd-source binary-indep package, ensure files
      and directories in the tarball are not writable by the src
      group, but readable by all, regardless of the umask setting
      when the package is built. (Closes: #791584)
    - In get-orig-source, svn export with --ignore-keywords so that
      revision tags do not fuzzy the patches
    - Add myself to Uploaders.
  * Clean the sys/modules/ tree in the debian/rules clean target.
  * DEB_HOST_ARCH_CPU on armel is arm;  update debian/rules detection
    and thereby correctly specify any-arm in debian/control too.
  * Build with clang-3.6 on i386, amd64, arm;  due to clang-3.4
    going away soon. (Closes: #790358)

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 07 Jul 2015 21:00:25 +0100


