=== debian/control ===
--- 
+++ 
@@ -2,25 +2,38 @@
 Section: kernel
 Priority: optional
 Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
-Uploaders: Aurelien Jarno <aurel32@debian.org>, Robert Millan <rmh@debian.org>
-Vcs-Browser: http://anonscm.debian.org/viewvc/glibc-bsd/trunk/kfreebsd-11/
-Vcs-Svn: svn://anonscm.debian.org/glibc-bsd/trunk/kfreebsd-11/
-Build-Depends: debhelper (>= 5.0.0), bzip2, sharutils, flex-old | flex,
- freebsd-buildutils (>= 10.0-3~),
- freebsd-glue (>= 0.2.15~),
+Uploaders:
+ Aurelien Jarno <aurel32@debian.org>,
+ Robert Millan <rmh@debian.org>,
+ Christoph Egger <christoph@debian.org>,
+ Steven Chamberlain <stevenc@debian.org>,
+ James Clarke <jrtc27@debian.org>,
+Build-Depends:
+ debhelper (>= 11~),
+ bzip2,
+ sharutils,
+ flex | flex-old,
+ freebsd-buildutils (>= 10.3~),
+ freebsd-glue (>= 0.2.20~),
  bmake (>= 20131001-1~),
- freebsd-mk (>= 10.0-4~),
+ freebsd-mk (>= 10.3~),
  byacc,
- clang-3.4 [any-i386 any-amd64 any-armel], gcc-4.8 [!any-i386 !any-amd64 !any-armel], libdb-dev,
+ gcc-6,
+ libdb-dev,
+ libbsd-dev (>= 0.3.0),
+ pkg-config,
  libsbuf-dev (>= 9.0+ds1-2),
  kernel-wedge (>= 2.88) [kfreebsd-any],
- ctfutils,
-# ctfconvert requires libdwarf with correct Dwarf_Off size
- libdwarf-freebsd-3 (>= 10.0-2~),
+# ctfutils (>= 10.3~),
+## ctfconvert requires libdwarf with correct Dwarf_Off size
+# libdwarf-freebsd-3 (>= 10.0-2~),
 Standards-Version: 3.9.2
+Vcs-Browser: https://salsa.debian.org/bsd-team/kfreebsd
+Vcs-Git: https://salsa.debian.org/bsd-team/kfreebsd.git
 
 Package: kfreebsd-source-11.0
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: freebsd-buildutils (>= 7)
 Provides: kfreebsd-source-11, kfreebsd-source
@@ -45,7 +58,7 @@
 
 
 Package: kfreebsd-image-11.0-0-amd64
-Architecture: any-amd64
+Architecture: kfreebsd-amd64
 Depends: ${misc:Depends},
  freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
  devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
@@ -57,14 +70,19 @@
  freebsd-net-tools (>= 10.0-2~) [kfreebsd-any],
 Conflicts: kfreebsd-loader (<< 5.4-1.3)
 Breaks:
-# Prior versions can't boot kFreeBSD >= 9.1 (see #699002)
- grub-common (<< 1.99-27+deb7u2) [kfreebsd-any],
+# ZFS metadata now compressed with LZ4 by default;  requires recent GRUB
+ grub-common (<< 2.02~) [kfreebsd-any],
+# AT_* macros break LD_PRELOAD (see #630695)
+# Missing support for RFTSIGZMB (see 007_clone_signals.diff)
 # Missing support for pts(4) (see #667448)
  libc0.1 (<< 2.17-4~) [kfreebsd-any],
 # Require ZFS v28 userland
  zfsutils (<< 8.3~) [kfreebsd-any],
 # 9.x uses old SIOCAIFADDR ABI (see #732693), and 10.0-1 uses inconsistent/mixed ABI (see #736238)
  freebsd-net-tools (<< 10.0-2~) [kfreebsd-any],
+# ABI changes since kFreeBSD 9.0
+ freebsd-smbfs (<< 10.0~) [kfreebsd-any],
+ pf (<< 10.1~) [kfreebsd-any],
 Provides: kfreebsd-image-11, kfreebsd-image
 Recommends: 
 Description: kernel of FreeBSD 11.0 image
@@ -74,7 +92,7 @@
  This package is compiled for a amd64-class machine.
 
 Package: kfreebsd-image-11-amd64
-Architecture: any-amd64
+Architecture: kfreebsd-amd64
 Depends: kfreebsd-image-11.0-0-amd64, ${misc:Depends}
 Description: kernel of FreeBSD 11 image (meta-package)
  This package depends on the latest binary image for kernel of FreeBSD 11 on
@@ -324,14 +342,3 @@
 Description: FAT filesystem support
  This package contains the FAT and VFAT filesystem modules for the kernel.
 
-Package: zfs-modules-11.0-0-amd64-di
-Package-Type: udeb
-Provides: zfs-modules
-Depends: kernel-image-11.0-0-amd64-di
-Architecture: kfreebsd-amd64
-Kernel-Version: 11.0-0-amd64
-Section: debian-installer
-Priority: extra
-Description: ZFS filesystem support
- This package contains the ZFS filesystem module for the kernel.
-
